Security Enhanced Linux Reference Policy

# Layer: system

## Module: getty

Interfaces

### Description:

Policy for getty.

### Interfaces:

getty_domtrans( domain )

##### Summary

Execute gettys in the getty domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

getty_read_config( domain )

##### Summary

Allow process to read getty config file.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

getty_read_log( domain )

##### Summary

Allow process to read getty log file.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

getty_rw_config( domain )

##### Summary

Allow process to edit getty config file.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

getty_use_fds( domain )

##### Summary

Inherit and use getty file descriptors.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return